

declare @padre int
declare @eid as varchar(4)
declare @uid as varchar(100)
select @uid=uid,@eid=eid from seg_usuario where id=1
select top 1 @padre=id from gui_funcionalidad where nombrecontrol='inc_trabajosOt' and id_tipofuncionalidad=1 and active=1

if not exists(select * from gui_funcionalidad where id_funcionalidad=@padre and id_tipofuncionalidad=5 and active=1 and nombrecomando='verCompromisos')
begin 
insert into gui_funcionalidad (uid,eid,fechacreacion,fechamodificacion,id_usuario_creo,id_usuario_modifico,funcionalidad,active,id_funcionalidad,id_tipofuncionalidad,nombrecomando)
values(@uid,@eid,getdate(),getdate(),1,1,'Ver Compromisos',1,@padre,5,'verCompromisos')

end

if not exists(select * from gui_funcionalidad where id_funcionalidad=@padre and id_tipofuncionalidad=5 and active=1 and nombrecomando='verFalla')
begin 
insert into gui_funcionalidad (uid,eid,fechacreacion,fechamodificacion,id_usuario_creo,id_usuario_modifico,funcionalidad,active,id_funcionalidad,id_tipofuncionalidad,nombrecomando)
values(@uid,@eid,getdate(),getdate(),1,1,'Ver Fallas',1,@padre,5,'verFalla')

end

if not exists(select * from gui_funcionalidad where id_funcionalidad=@padre and id_tipofuncionalidad=5 and active=1 and nombrecomando='verRecomendacion')
begin 
insert into gui_funcionalidad (uid,eid,fechacreacion,fechamodificacion,id_usuario_creo,id_usuario_modifico,funcionalidad,active,id_funcionalidad,id_tipofuncionalidad,nombrecomando)
values(@uid,@eid,getdate(),getdate(),1,1,'Ver Recomendaciones',1,@padre,5,'verRecomendacion')

end

